### Enumeration

# AppStream ReleaseListKind

since: 0.16.0

#### Declaration

    enum AppStream.ReleaseListKind

#### Description [src]

The kind of a releases block.

Available since: 0.16.0

#### Members

`AS_RELEASE_LIST_KIND_UNKNOWN`

  Unknown releases type.

  - Value: `0`
  - Available since: 0.16.0
`AS_RELEASE_LIST_KIND_EMBEDDED`

  Release info is embedded in metainfo file.

  - Value: `1`
  - Available since: 0.16.0
`AS_RELEASE_LIST_KIND_EXTERNAL`

  Release info is split to a separate file.

  - Value: `2`
  - Available since: 0.16.0

#### Type functions

###### as_release_list_kind_from_string

Converts the text representation to an enumerated value.

since: 0.16.0

###### as_release_list_kind_to_string

Converts the enumerated value to an text representation.

since: 0.16.0